FreeBSD : Enhanced cTorrent -- stack-based overflow (83d7d149-b965-11de-a515-0022156e8794)

High Nessus Plugin ID 42310


The remote FreeBSD host is missing a security-related update.


Securityfocus reports :

cTorrent and dTorrent are prone to a remote buffer-overflow vulnerability because the software fails to properly bounds-check user-supplied input before copying it to an insufficiently sized memory buffer.

Successful exploits allow remote attackers to execute arbitrary machine code in the context of a vulnerable application. Failed exploit attempts will likely result in denial-of-service conditions.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 42310

File Name: freebsd_pkg_83d7d149b96511dea5150022156e8794.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2009/10/30

Modified: 2013/11/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:ctorrent, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/10/28

Vulnerability Publication Date: 2009/10/15

Reference Information

CVE: CVE-2009-1759

BID: 34584

CWE: 119